## r-cran-mockr 0.1

=== DESCRIPTION ===
Package: mockr
Title: Mocking in R
Version: 0.1
Authors@R: person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org")
Description: Provides a means to mock a package function, i.e., temporarily substitute it for testing. Designed as a drop-in replacement for 'testthat::with_mock()', which may break in R 3.4.0 and later.
Imports: lazyeval
Suggests: testthat, covr
License: GPL-3
Encoding: UTF-8
LazyData: true
Date: 2017-04-28
BugReports: https://github.com/krlmlr/mockr/issues
URL: https://github.com/krlmlr/mockr, http://krlmlr.github.io/mockr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-04-29 08:10:46 UTC; muelleki
Author: Kirill Müller [aut, cre]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2017-04-29 13:18:38 UTC

=== debian/changelog ===
r-cran-mockr (0.1-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:18:32 +0000

r-cran-mockr (0.1-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 21:27:05 +0200

r-cran-mockr (0.1-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 11:23:39 +0200

r-cran-mockr (0.1-1) unstable; urgency=medium

  * Initial release (closes: #893885)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Mar 2018 16:09:02 +0100

=== debian/control ===
Source: r-cran-mockr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-lazyeval
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockr.git
Homepage: https://cran.r-project.org/package=mockr
Rules-Requires-Root: no

Package: r-cran-mockr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: mocking in GNU R
 Provides a means to mock a package function, i.e., temporarily
 substitute it for testing. Designed as a drop-in replacement for
 'testthat::with_mock()', which may break in R 3.4.0 and later.

## r-cran-mockr 0.2.0

=== debian/changelog ===
r-cran-mockr (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 May 2022 11:38:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-mockr
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev,
-               r-cran-lazyeval
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockr.git
 Homepage: https://cran.r-project.org/package=mockr
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-rlang,
+               r-cran-withr
 
 Package: r-cran-mockr
 Architecture: all

## r-cran-mockr 0.2.1

=== DESCRIPTION ===
Package: mockr
Title: Mocking in R
Version: 0.2.1
Date: 2023-01-30
Authors@R: 
    person(given = "Kirill",
           family = "M\u00fcller",
           role = c("aut", "cre"),
           email = "kirill@cynkra.com")
Description: Provides a means to mock a package function, i.e.,
    temporarily substitute it for testing. Designed as a drop-in
    replacement for the now deprecated 'testthat::with_mock()' and
    'testthat::local_mock()'.
License: GPL-3
URL: https://krlmlr.github.io/mockr/, https://github.com/krlmlr/mockr
BugReports: https://github.com/krlmlr/mockr/issues
Imports: rlang, withr
Suggests: covr, fs, knitr, pkgload, rmarkdown, testthat, usethis
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-02-01 04:25:50 UTC; kirill
Author: Kirill Müller [aut, cre]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-02-01 12:20:02 UTC

=== debian/changelog ===
r-cran-mockr (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 13:46:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-mockr
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockr.git
 Homepage: https://cran.r-project.org/package=mockr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rlang,
                r-cran-withr
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-mockr
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/mockr_([-\d.]*)\.tar\.gz

## r-cran-mockr 0.2.2

=== debian/changelog ===
r-cran-mockr (0.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Relicensed as MIT.
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 12:08:42 +0900

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockr.git
 Homepage: https://cran.r-project.org/package=mockr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rlang,
-               r-cran-withr
+               r-cran-withr,
+               architecture-is-64-bit,
+               architecture-is-little-endian
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-mockr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-fs,
        r-cran-knitr,
        r-cran-pkgload,
        r-cran-rmarkdown,
        r-cran-testthat,
        r-cran-usethis
Restrictions: allow-stderr
